public class Locale {
  static final String RES_QUIT = "Fine";
  static final String RES_STOP = "Ferma";
  static final String RES_BACK = "Indietro";
  static final String RES_DONE = "Fatto";
  static final String RES_EVALUATE = "Analizza";
  static final String RES_DELETE = "Cancella";
  static final String RES_LIST = "Lista";
  static final String RES_EDIT = "Modifica";
  static final String RES_NEW = "Nuova";
  static final String RES_INSERT = "Inserisci";
  static final String RES_HELP = "Aiuto";
  static final String RES_TITLE = "Calculator";
  static final String RES_RUNTIME_ERROR = "Errore di esecuzione";
  static final String RES_COMPILE_ERROR = "Errore del compilatore";
  static final String RES_STATEMENTS = "Dichiarazioni";
  static final String RES_ERROR = "Errore";
  static final String RES_NOT_FUNCTION = "La dichiarazione non corrisponde a una funzione";
  static final String RES_PLOT = "Grafico";
  static final String RES_BAD_INTERVAL = "Intervallo errato";
  static final String RES_COMPLETED = "completato";
  static final String RES_PROGRESS = "Progresso";
  static final String RES_VARIABLE = "Variabile '";
  static final String RES_FUNCTION = "Funzione '";
  static final String RES_NOT_DEFINED = "' non definita";
  static final String RES_LAST_PLOT_PARAM = "L'ultimo parametro del grafico dovrebbe essere una funzione";
  static final String RES_LAST_PLOT_PARAM_ONEARG = "L'ultimo parametro del grafico dovrebbe essere una funzione con un argomento";
  static final String RES_NAME = "Nome '";
  static final String RES_NOT_FUNCTION_NAME = "' non risulta una funzione";
  static final String RES_INVALID_FUNCTION = "Funzione interna non valida";
  static final String RES_UNEXPECTED_TOKEN = "Elemento inatteso '";
  static final String RES_INVALID_FUNC_PARAMETER = "Parametro di funzione non valido";
  static final String RES_ASSIGN_ONLY_VAR_OR_FUNC = "L'assegnazione deve essere data a una variabile o una funzione";
  static final String RES_MISSING_COLON = "':' attesi";
  static final String RES_RESULT = "Risultato";
  static final String RES_SYNTAX_ERROR = "Errore di sintassi";
  static final String RES_HAS_ONE_PARAM = " ha un parametro";
  static final String RES_MISSING_BRACKET = "')' attesa";
  static final String RES_PLOT_3OR4_PARAMS = "La funzione di grafico necessita di 3 o 4 parametri";
  static final String RES_MISSING_SQBRACKET = "']' attesa";
  static final String RES_MISSING_THRDBRACKET = "'}' attesa";
  static final String RES_MISSING_VERBAR = "'|' atteso";

  static final String[] help = {
        "e1,e2: sequenza",
        "x=1: assegnazione",
        "f(x)=x*x: funzione",
        "c?x:y: scelta",
        "x>y: maggiore di",
        "x<y: minore di",
        "1<x<5: tra",
        "x+y: addizione",
        "x-y: sottrazione",
        "x*y: moltiplicazione",
        "x/y: divisione",
        "x^y: potenza",
        "[x]: parte intera",
        "{x}: parte frazionaria",
        "|x|: valore assoluto",
        "(e): parentesi",
        "sin(x): seno",
        "cos(x): coseno",
        "tan(x): tangente",
        "asin(x): arcoseno",
        "acos(x): arcocoseno",
        "atan(x): arcotangente",
        "exp(x): esponente",
        "log(x): logaritmo decimale",
        "ln(x): logaritmo naturale",
        "ceil(x): arrotondamento verso l'alto",
        "floor(x): arrotondamento verso il basso",
        "sqr(x): radice quadrata",
        "plot(da,fino a,funz): disegna grafico",
        "plot(da,fino a,passo,funz): disegna grafico con passo",
        "plot{x1, y1, x2, y2,..., xn, yn}: disegna grafico date le coordinate dei punti"
    };

}
