public class Locale {
  static final String RES_QUIT = "Salir";
  static final String RES_STOP = "Parar";
  static final String RES_BACK = "Atr\u00e1s";
  static final String RES_DONE = "Hecho";
  static final String RES_EVALUATE = "Evaluar";
  static final String RES_DELETE = "Borrar";
  static final String RES_LIST = "Listar";
  static final String RES_EDIT = "Editar";
  static final String RES_NEW = "Nuevo";
  static final String RES_INSERT = "Insertar";
  static final String RES_HELP = "Ayuda";
  static final String RES_TITLE = "Calculadora";
  static final String RES_RUNTIME_ERROR = "Error de ejecuci\u00f3n";
  static final String RES_COMPILE_ERROR = "Error de compilaci\u00f3n";
  static final String RES_STATEMENTS = "Declaraciones";
  static final String RES_ERROR = "Error";
  static final String RES_NOT_FUNCTION = "Declaraci\u00f3n no es funci\u00f3n";
  static final String RES_PLOT = "Dibujar (Plot)";
  static final String RES_BAD_INTERVAL = "Mal intervalo";
  static final String RES_COMPLETED = "completado";
  static final String RES_PROGRESS = "Progreso";
  static final String RES_VARIABLE = "Variable '";
  static final String RES_FUNCTION = "Funci\u00f3n '";
  static final String RES_NOT_DEFINED = "' no est\u00e1 definida";
  static final String RES_LAST_PLOT_PARAM = "El \u00faltimo par\u00e1metro de Plot deber\u00eda ser una funci\u00f3n";
  static final String RES_LAST_PLOT_PARAM_ONEARG = "El \u00faltimo par\u00e1metro de plot deber\u00eda ser una funci\u00f3n con un argumento";
  static final String RES_NAME = "Nombre '";
  static final String RES_NOT_FUNCTION_NAME = "' no es una funci\u00f3n";
  static final String RES_INVALID_FUNCTION = "Funci\u00f3n incluida inv\u00e1lida";
  static final String RES_UNEXPECTED_TOKEN = "Unexpected token '";
  static final String RES_INVALID_FUNC_PARAMETER = "Par\u00e1metro de funci\u00f3n inesperado";
  static final String RES_ASSIGN_ONLY_VAR_OR_FUNC = "Asignaci\u00f3n puede ser hecha a variable o funci\u00f3n";
  static final String RES_MISSING_COLON = "Se esperaba ':'";
  static final String RES_RESULT = "Resultado";
  static final String RES_SYNTAX_ERROR = "Error de sintaxis";
  static final String RES_HAS_ONE_PARAM = " tiene un par\u00e1metro";
  static final String RES_MISSING_BRACKET = "Se esperaba ')'";
  static final String RES_PLOT_3OR4_PARAMS = "Funci\u00f3n de dibujo (Plot) espera 3 o 4 par\u00e1metros";
  static final String RES_MISSING_SQBRACKET = "Se esperaba ']'";
  static final String RES_MISSING_THRDBRACKET = "Se esperaba '}'";
  static final String RES_MISSING_VERBAR = "Se esperaba '|'";

  static final String[] help = {
        "e1,e2: secuencia",
        "x=1: asignaci\u00f3n",
        "f(x)=x*x: funci\u00f3n",
        "c?x:y: elecci\u00f3n",
        "x>y: mayor que",
        "x<y: menor que",
        "1<x<5: entre",
        "x+y: suma",
        "x-y: resta",
        "x*y: multiplicaci\u00f3n",
        "x/y: divisi\u00f3n",
        "x^y: potencia",
        "[x]: parte entera",
        "{x}: parte fraccionaria",
        "|x|: valor absoluto",
        "(e): par\u00e9ntesis",
        "sin(x): seno",
        "cos(x): coseno",
        "tan(x): tangente",
        "asin(x): arcoseno",
        "acos(x): arcocoseno",
        "atan(x): arcotangente",
        "exp(x): exponencial",
        "log(x): logaritmo natural",
        "ceil(x): redondeo hacia arriba",
        "floor(x): redondeo hacia abajo",
        "sqr(x): ra\u00edz cuadrada",
        "plot(desde,hasta,func): dibujar gr\u00e1fico"
    };

}
