import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class ResultView extends Form implements CommandListener
{
    Calculator calculator;

    static final String getResult(String expression, String result) {
        int i = expression.lastIndexOf(',');
        if (i >= 0) {
             expression = expression.substring(i+1);
        }
        i = expression.lastIndexOf('=');
        if (i >= 0) {
            expression = expression.substring(0, i);
        }
        return expression + '=' + result;
    }


    ResultView(Calculator calculator, String expression , String result) {
        super(Locale.RES_RESULT, new Item[]{new StringItem(null, getResult(expression, result))});
        this.calculator = calculator;
        setCommandListener(this);
        addCommand(Calculator.DONE_CMD);
        addCommand(Calculator.QUIT_CMD);
        Display.getDisplay(calculator).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) {
        if (c == Calculator.QUIT_CMD) {
            calculator.quit();
        } else {
            Display.getDisplay(calculator).setCurrent(calculator.mainMenu);
        }
    }
}